> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Publisher Data

> Updates the key-value store of custom publisher settings

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| PublisherNotSet | 1122 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/SetPublisherData
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/SetPublisherData:
    post:
      tags:
        - Shared Group Data
      summary: Set Publisher Data
      description: |
        Updates the key-value store of custom publisher settings

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | PublisherNotSet | 1122 |
      operationId: SetPublisherData
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPublisherDataRequest'
        description: >-
          This API is designed to store publisher-specific values which can be
          read, but not written to, by the client. This data is shared across
          all titles assigned to a particular publisher, and can be used for
          cross-game coordination. Only titles assigned to a publisher can use
          this API. This operation is additive. If a Key does not exist in the
          current dataset, it will be added with the specified Value. If it
          already exists, the Value for that key will be overwritten with the
          new Value. For more information email helloplayfab@microsoft.com
      responses:
        '200':
          $ref: '#/components/responses/SetPublisherDataResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    SetPublisherDataRequest:
      description: >-
        This API is designed to store publisher-specific values which can be
        read, but not written to, by the client. This data is shared across all
        titles assigned to a particular publisher, and can be used for
        cross-game coordination. Only titles assigned to a publisher can use
        this API. This operation is additive. If a Key does not exist in the
        current dataset, it will be added with the specified Value. If it
        already exists, the Value for that key will be overwritten with the new
        Value. For more information email helloplayfab@microsoft.com
      type: object
      properties:
        Key:
          description: >-
            key we want to set a value on (note, this is additive - will only
            replace an existing key's value if they are the same name.) Keys are
            trimmed of whitespace. Keys may not begin with the '!' character.
          type: string
        Value:
          description: new value to set. Set to null to remove a value
          type: string
      required:
        - Key
      example:
        Key: Running Speed
        Value: '1.03'
    SetPublisherDataResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    SetPublisherDataResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/SetPublisherDataResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Set Publisher Data](/services/playfab/api-references/rest/admin/shared-group-data/set-publisher-data.md)
- [Using publisher data](/services/playfab/live-service-management/game-configuration/titledata/using-publisher-data.md)
- [PFTitleDataManagementSetPublisherDataRequest](/services/playfab/api-references/c/pftitledatamanagementtypes/structs/pftitledatamanagementsetpublisherdatarequest.md)
- [PFTitleDataManagementServerSetPublisherDataAsync](/services/playfab/api-references/c/pftitledatamanagement/functions/pftitledatamanagementserversetpublisherdataasync.md)
- [Get Publisher Data](/services/playfab/api-references/rest/admin/title-wide-data-management/get-publisher-data.md)
